QGIS Application - Bug report #6747
split feature fails on a closed line
2012-11-21 01:26 PM - John Floyd -

Status: Closed
Priority: Normal
Assignee:

Category: Digitising

Affected QGIS version:master
Operating System: Linux Fedora
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 15907

Description

Create a closed line loop using snapping that starts and finishes on the same point.

Split that line, and the beginning and end points move to the split, the originals are lost.

That is the line is not split - its origin (start and end point) is changed - it is still a closed single line.

Happens in shapefile or postgis.

Simple user work around - move one end of the line so it is no longer closed, then spilit it - works as expected.

This happens on qgis version 1.7.4 and 1.8.0.

History

#1 - 2012-12-30 09:51 AM - Giovanni Manghi
- Priority changed from High to Normal

#2 - 2013-02-12 07:43 AM - Marco Hugentobler

- Status changed from Open to Closed

Fixed in c90870d09594fc1d19fe30b2a8f40a1c049347b9
